using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace L3gion_STELAR
{
    public partial class Main : Form
    {
        [DllImport("Gdi32.dll", EntryPoint = "CreateRoundRectRgn")]

        private static extern IntPtr CreateRoundRectRgn
(
int nLeftRect,     // x-coordinate of upper-left corner
int nTopRect,      // y-coordinate of upper-left corner
int nRightRect,    // x-coordinate of lower-right corner
int nBottomRect,   // y-coordinate of lower-right corner
int nWidthEllipse, // height of ellipse
int nHeightEllipse // width of ellipse
);

        public Main()
        {
            InitializeComponent();
        }

        private void Main_Load(object sender, EventArgs e)
        {
            siticoneLabel1.Hide();
            setter2.Hide();
            general2.Show();
            exploits1.Hide();
            sver3.Hide();
            asamlby1.Hide();
            siticoneAnimateWindow1.SetAnimateWindow(this);
            siticoneShadowForm1.SetShadowForm(this);
            this.FormBorderStyle = FormBorderStyle.None;
            Region = System.Drawing.Region.FromHrgn(CreateRoundRectRgn(0, 0, Width, Height, 20, 20));
        }

        private void siticoneControlBox1_Click(object sender, EventArgs e)
        {
            Process[] pname = Process.GetProcessesByName("L3gion_STEALER.exe");
            if (pname.Length == 0)
            {
                Application.Exit();
            }
        }

        private void siticonePanel2_Paint(object sender, PaintEventArgs e)
        {

        }

        private void general1_Load(object sender, EventArgs e)
        {

        }

        private void siticoneRoundedButton1_Click(object sender, EventArgs e)
        {
            Viewid.Hide();
            siticoneLabel2.Show();
            Process.Start("https://www.youtube.com/channel/UCH33Ws09U_PoK7-Z741i9GQ");
            Process.Start("https://www.youtube.com/@daulah_0995");
        }

        private void Generalbutton_Click(object sender, EventArgs e)
        {
            general1.Show();
            sver1.Hide();
            setter1.Hide();
        }

        private void siticoneButton2_Click(object sender, EventArgs e)
        {
            general1.Hide();
            sver1.Show();
            setter1.Hide();
        }

        private void settingsone_Click(object sender, EventArgs e)
        {
            setter1.Show();
            general1.Hide();
            sver1.Hide();

        }

        private void siticoneRoundedButton2_Click(object sender, EventArgs e)
        {
            siticoneLabel1.Show();
            siticoneRoundedButton2.Hide();
            siticoneLabel2.Show();
            Process.Start("https://www.youtube.com/channel/UCH33Ws09U_PoK7-Z741i9GQ");
            Process.Start("https://www.youtube.com/@daulah_0995");
        }

        private void siticoneControlBox4_Click(object sender, EventArgs e)
        {
            foreach (var process in Process.GetProcessesByName("legionstealer.exe"))
            {
                process.Kill();
            }
        }

        private void pictureBox4_Click(object sender, EventArgs e)
        {

        }

        private void siticoneButton6_Click(object sender, EventArgs e)
        {
            setter2.Hide();
            general2.Hide();
            sver3.Hide();
            asamlby1.Show();
            exploits1.Hide();
        }

        private void siticoneButton7_Click(object sender, EventArgs e)
        {
            exploits1.Show();
            setter2.Hide();
            general2.Hide();
            sver3.Hide();
            asamlby1.Hide();
        }

        private void siticoneButton4_Click(object sender, EventArgs e)
        {
            asamlby1.Hide();
            exploits1.Hide();

            setter2.Show();
            general2.Hide();
            sver3.Hide();
        }

        private void siticoneButton5_Click(object sender, EventArgs e)
        {
            asamlby1.Hide();
            exploits1.Hide();

            setter2.Hide();
            general2.Show();
            sver3.Hide();
        }

        private void siticoneButton8_Click(object sender, EventArgs e)
        {
            asamlby1.Hide();
            setter2.Hide();
            exploits1.Hide();

            general2.Hide();
            sver3.Show();
        }

        private void sver3_Load(object sender, EventArgs e)
        {

        }
    }
}
